<?php
if (empty($_GET['sok'])) {
    echo '<div class="post"><div style="text-align:center">' . "\n";
    echo 'Вы действительно хотите удалить страницу ошибки ' . htmlentities($_GET['elid'], ENT_QUOTES, 'UTF-8') . '?<br />' . "\n";
    echo '<a href="?func=errpage.delete&amp;elid=' . urlencode($_GET['elid']);
    if (isset($_GET['plid'])) {
        echo '&amp;plid=' . urlencode($_GET['plid']);
    }
    echo '&amp;sok=yes">Да</a> / <a href="?func=errpage';
    if (isset($_GET['plid'])) {
        echo '&amp;elid=' . urlencode($_GET['plid']);
    }
    echo '">Нет</a>' . "\n";
    echo '</div></div>' . "\n";
} else {
    $content = api_query('https://' . $server . '/manager/ispmgr?func=errpage.delete&elid=' . urlencode($_GET['elid']) . '&out=xml&auth=' . urlencode($_SESSION['auth']));
    $parse_xml = simplexml_load_string($content);
    if (isset($parse_xml->ok)) {
        echo '<div class="post"><div style="text-align:center">' . "\n";
        echo 'Страница ошибки успешно удалена!<br />' . "\n";
        echo 'Подождите несколько секунд, для перезагрузки сервера, и нажмите &quot;продолжить&quot;.<br />' . "\n";
        echo '<a href="?func=errpage';
        if (isset($_GET['plid'])) {
            echo '&amp;elid=' . urlencode($_GET['plid']);
        }
        echo '">Продолжить&#187;</a>' . "\n";
        echo '</div></div>' . "\n";
        api_query('https://' . $server . '/manager/ispmgr?func=restart&auth=' . urlencode($_SESSION['auth']));
    } else {
        echo '<div class="post"><div style="text-align:center">' . "\n";
        echo 'Ошибка при удалении страницы ошибки!<br />' . "\n";
        echo '<a href="?func=errpage';
        if (isset($_GET['plid'])) {
            echo '&amp;elid=' . urlencode($_GET['plid']);
        }
        echo '">Продолжить&#187;</a>' . "\n";
        echo '</div></div>' . "\n";
    }
}

?>